<?php
function coursesShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-courses');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_courses_number',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0; ?>

    <?php
            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-courses-thumb');
                    if ($isCustomizer === true) {
                        $courses_area_designation = get_theme_mod('courses_area_designation' . $i);
                    } else {
                        $courses_area_designation = '';
                    }

                    $post = get_post();


                        //designation
                    $designation = get_post_meta($post->ID, 'designation', false);
                    $courses_area_designation = !empty($designation[0]) ? $designation[0] : '';

                ?>
                <?php
                 $peccular_courses_page_icon_ = get_theme_mod('peccular_courses_page_icon_'.$i);
                 ?> 
                <div class="<?php echo $colCls;?> ">
                       <div  courses-match-height="groupName" class="peccular-courses-box <?php echo esc_attr(get_theme_mod('peccular_courses_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s"> 
                                <?php if($courses_area_designation){ ?>
                                    <div class="peccular-course-label"><?php echo ($courses_area_designation); ?></div>
                                <?php }?>
                                 <div class="peccular-courses-image">
                                    <a href="<?php the_permalink();?>">
                                      <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $peccular_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/project3.png';
                                        }
                                        ?>   
                                        <img class="peccular-courses-img" src="<?php echo esc_url($image_url); ?>" alt="courses" />
                                        <div class="imageOverlaynew"></div>       
                                        <div class="clearfix"></div>    
                                   </a>
                                </div><!-- div image-->
                                <div class="clearfix"></div> 
                                    <div class="peccular-courses-content">
                                          <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_courses_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('peccular_courses_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_courses_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_courses_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                                            </h4> 
                                          <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_courses_post_excerpt','15')) ) ); ?>
                                      </p>
                                        <?php
                                          $peccular_coursesbutton = get_theme_mod('peccular_courses_btn_txt', 'select course'); 
                                            $peccular_courses_btnlink = get_theme_mod('peccular_courses_btnlink', '#');
                                        ?> 

                                      <?php if( get_theme_mod('peccular_courses_button_enable','show' ) == 'show') :
                                        ?>  
                                        <div class="peccular-courses-btn">
                                            
                                          <a href="<?php echo get_permalink(); ?>" target="_blank">      
                                              <?php echo ($peccular_coursesbutton );  ?>                  
                                          </a> 
                                         
                                       </div>
                                        <?php endif ?>

                                    </div>
                                    <div class="clearfix"></div>
                                
                            </div> 
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[courses-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
        <?php
    endwhile; ?>
    <?php

    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}



function coursesInnerpageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-courses');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_courses_number',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0; ?>

 <div class="row">
    <?php
            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-courses-thumb');
                    if ($isCustomizer === true) {
                        $courses_area_designation = get_theme_mod('courses_area_designation' . $i);
                    } else {
                        $courses_area_designation = '';
                    }

                    $post = get_post();


                        //designation
                    $designation = get_post_meta($post->ID, 'designation', false);
                    $courses_area_designation = !empty($designation[0]) ? $designation[0] : '';

                ?>
                <?php
                 $peccular_courses_page_icon_ = get_theme_mod('peccular_courses_page_icon_'.$i);
                 ?> 
                <div class="<?php echo $colCls;?> ">
                       <div  courses-match-height="groupName" class="peccular-courses-box <?php echo esc_attr(get_theme_mod('peccular_courses_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s"> 
                                <?php if($courses_area_designation){ ?>
                                    <div class="peccular-course-label"><?php echo ($courses_area_designation); ?></div>
                                <?php }?>

                                  <?php
                                    if(get_theme_mod('coursespage_featured_img_on_off') != 'on' ){
                                  ?>  
                                 <div class="peccular-courses-image">
                                    <a href="<?php the_permalink();?>">
                                      <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $peccular_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/project3.png';
                                        }
                                        ?>   
                                        <img class="peccular-courses-img" src="<?php echo esc_url($image_url); ?>" alt="courses" />
                                        <div class="imageOverlaynew"></div>       
                                        <div class="clearfix"></div>    
                                   </a>
                                </div><!-- div image-->
                                  <?php }?>
                                <div class="clearfix"></div> 
                                    <div class="peccular-courses-content">
                                          <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_courses_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('peccular_courses_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_courses_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_courses_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                                            </h4> 
                                          <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_courses_post_excerpt','15')) ) ); ?>
                                      </p>
                                        <?php
                                          $peccular_coursesbutton = get_theme_mod('peccular_courses_btn_txt', 'select course'); 
                                            $peccular_courses_btnlink = get_theme_mod('peccular_courses_btnlink', '#');
                                        ?> 

                                      <?php if( get_theme_mod('peccular_courses_button_enable','show' ) == 'show') :
                                        ?>  
                                        <div class="peccular-courses-btn">
                                            
                                          <a href="<?php echo get_permalink(); ?>" target="_blank">      
                                              <?php echo ($peccular_coursesbutton );  ?>                  
                                          </a> 
                                         
                                       </div>
                                        <?php endif ?>

                                    </div>
                                    <div class="clearfix"></div>
                                
                            </div> 
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[courses-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
        <?php
    endwhile; ?>
    <div class="clearfix"></div>
</div>
    <?php

    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

add_shortcode('COURSES', 'coursesInnerpageShortCode'); 