<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package peccular
 */
get_header(); ?>
<?php 

 $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header2" 
    <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','360')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  > 
 <div class="container">
     <div class="row innerpage-header-area m-0">

         <?php  if (!empty($image)) { ?>

                <div class="site-details col-md-6">
              
                <div class="image-icon">

    <?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <h1 class="ht-main-title"><?php woocommerce_page_title(); ?></h1>
        <div class="clearfix"></div>
         <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="Breadcrumb_title">
               <div class='button'><?php peccular_lite_the_breadcrumb(); ?> <span class="treeEnd">shop</span></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
            <div class="clearfix"></div>
        </div>
 <?php } ?> 
    </div>
 <?php } ?> 

     </div>

</div> 
<div class="col-md-6">
    <div class="feature-box-img">
<!--         <span></span>
         <span></span>
          <span></span> -->
           <span></span>

    <?php  if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){ ?>

     <?php  if (!empty($image)) : ?>
         <img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />

      <?php endif ?> 
       <div class="peccular-innerpage-img-overlay"></div> 
     <?php } ?>       
 </div>  
             
</div>



       <?php  }  else { ?>

              <div class="site-details col-md-12">
              
                <div class="image-icon">

                    <?php
                    if(get_theme_mod('page_title_on_off') != 'on' ){
                  ?>
                    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
                        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
                        <div class="clearfix"></div>
                         <?php
                    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
                  ?>
                        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
                            <div class="Breadcrumb_title">
                                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
                            </div>
                            <div class="clearfix"></div>
                        </div>
                 <?php } ?> 
                    </div>
                 <?php } ?> 

             </div>

        </div> 

     <?php  } ?>

        

<div class="clearfix"></div>
</div>
<div class="clearfix"></div>
</div>
  
 <div class="peccular-innerpage-overlay"></div> 
</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>
<div class="single-productpage">
<main id="innerpage-box">
		<?php
			//if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
			//get_header('shop'); ?>
			<div id="page" class="container" >
				<div class="inner_contentbox" >
				<article id="content" class="article">

<?php if (get_theme_mod('peccular__shoppage_layout') == '1' ) { ?>
    <div class="row md-1">
        <div class="col-lg-8 col-md-8 col-sm-8 col-xs-12 tab-w-6">	
            <?php if ( have_posts() ) : ?>						
				<?php do_action( 'woocommerce_before_shop_loop' ); ?>
				<?php woocommerce_product_loop_start(); ?>
				<?php woocommerce_product_subcategories(); ?>
				<div class="row">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>				
			<?php endwhile; // end of the loop. ?>
			</div>
				<?php woocommerce_product_loop_end(); ?>
				<?php do_action( 'woocommerce_after_shop_loop' ); ?>
				<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
				<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
			<?php endif; ?>		
        </div><!-- #main -->
        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 product-page tab-w-4">
			<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
		  		?>
		  		<div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>
		  	<?php endif ?>
		</div>
	</div>

 <?php } else if (get_theme_mod('peccular__shoppage_layout') == '0' ) {?>
		
        <?php if ( have_posts() ) : ?>						
			<?php do_action( 'woocommerce_before_shop_loop' ); ?>
			<?php woocommerce_product_loop_start(); ?>
			<?php woocommerce_product_subcategories(); ?>
			
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>				
			<?php endwhile; // end of the loop. ?>
		
			<?php woocommerce_product_loop_end(); ?>
			<?php do_action( 'woocommerce_after_shop_loop' ); ?>
			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
		<?php endif; ?>	

<?php } else if (get_theme_mod('peccular__shoppage_layout') == '2' ) { ?>
    <div class="row md-1">
		 <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 product-page tab-w-4">
			<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
		  		?>
		  		<div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>
		  	<?php endif ?>
		</div>
       <div class="col-lg-8 col-md-8 col-sm-8 col-xs-12 tab-w-6">	
            <?php if ( have_posts() ) : ?>						
			<?php do_action( 'woocommerce_before_shop_loop' ); ?>
			<?php woocommerce_product_loop_start(); ?>
			<?php woocommerce_product_subcategories(); ?>
			<div class="row">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>				
			<?php endwhile; // end of the loop. ?>
			</div>
			<?php woocommerce_product_loop_end(); ?>
			<?php do_action( 'woocommerce_after_shop_loop' ); ?>
			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
		<?php endif; ?>		
        </div>
    </div>
<?php } ?>
					<div class="clearfix"></div>
				</article>
				<?php /*do_action('woocommerce_sidebar');*/ ?>
				<?php //get_sidebar(); ?>	
				<div class="clearfix"></div>
			</div>
				<div class="clearfix"></div>
			</div>	
	</main><!-- #main -->
</div>
<?php get_footer(); ?>
