<?php  
//$peccularSliderSingleChoice = getpeccularPostsType('slider');
$wp_customize->add_section(
    'peccular_slider_section',
    array(
        'title' => __( 'Slider', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>18
    )
); 
 
$wp_customize->add_setting('peccular_slider_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    )); 
 
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_slider_nav', array(
       'section' => 'peccular_slider_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_slider_enable',
                'slider_section_show_content',               
            ),
            'active' => true,
         ), 
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_slider_heading_color',
                'peccular_slider_text_color',
                'peccular_slider_buttontext_color1',
                'peccular_slider_buttonbg_color1',              
                'peccular_indicatorhoverColor_lbl',
                'peccular_slider_buttonbghov_color1',
                'peccular_slider_indicatortextprevnext_color',
                'peccular_slider_indicatortextprevnextbg_color'

            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_slider_section_width',
                'peccular_slider_padding',
                'peccular_slider_section_t_padding',
                'peccular_slider_section_b_padding'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_slider_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_slider_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_slider_section'
)));


$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
);


    $wp_customize->add_setting('peccular_slider_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_slider_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_slider_section',
    ));

addColorPalatOption($wp_customize, 'peccular_slider_heading_color', 'peccular_slider_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_text_color', 'peccular_slider_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttontext_color1', 'peccular_slider_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbg_color1', 'peccular_slider_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbghov_color1', 'peccular_slider_section', 'Button BG Hover Color', '');

$wp_customize->add_setting('peccular_indicatorhoverColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_indicatorhoverColor_lbl',
        array(
            'settings'      => 'peccular_indicatorhoverColor_lbl',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Indicator Colors', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'peccular_slider_indicatortextprevnext_color', 'peccular_slider_section', 'Indicator Prev / Next Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_indicatortextprevnextbg_color', 'peccular_slider_section', 'Indicator Prev / Next BG Color', '');
$wp_customize->add_setting('peccular_slider_padding',array(
      'sanitize_callback'   => ''
   ));
   $wp_customize->add_control('peccular_slider_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_slider_section'
   ));

    $wp_customize->add_setting('peccular_slider_section_t_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_slider_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_slider_section',
    ));
 
    $wp_customize->add_setting('peccular_slider_section_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_slider_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_slider_section',
    ));
 ?>