<?php 
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package peccular Premium
 */
get_header(); ?>
 <?php 

 $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header2" 
    <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','360')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  > 
 <div class="container">
     <div class="row innerpage-header-area m-0">

         <?php  if (!empty($image)) { ?>

                <div class="site-details col-md-6">
              
                <div class="image-icon">

    <?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
         <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="Breadcrumb_title">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
            <div class="clearfix"></div>
        </div>
 <?php } ?> 
    </div>
 <?php } ?> 

     </div>

</div> 
<div class="col-md-6">
    <div class="feature-box-img">
<!--         <span></span>
         <span></span>
          <span></span> -->
           <span></span>

    <?php  if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){ ?>

     <?php  if (!empty($image)) : ?>
         <img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />

      <?php endif ?> 
       <div class="peccular-innerpage-img-overlay"></div> 
     <?php } ?>       
 </div>  
             
</div>


       <?php  }  else { ?>

              <div class="site-details col-md-12">
              
                <div class="image-icon">

                    <?php
                    if(get_theme_mod('page_title_on_off') != 'on' ){
                  ?>
                    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
                        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
                        <div class="clearfix"></div>
                         <?php
                    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
                  ?>
                        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
                            <div class="Breadcrumb_title">
                                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
                            </div>
                            <div class="clearfix"></div>
                        </div>
                 <?php } ?> 
                    </div>
                 <?php } ?> 

             </div>

        </div> 

     <?php  } ?>

        

<div class="clearfix"></div>
</div>
<div class="clearfix"></div>
</div>
  
 <div class="peccular-innerpage-overlay"></div> 
</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>
<main id="innerpage-box">
	    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>" >
           <div class="inner_contentbox">

    <?php if (get_theme_mod('peccular__page_layout') == '1' ) { ?>
        <div class="row m-0">

        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 tab-w-4">
            <?php  get_sidebar(); ?>
        </div>
        <div id="content-box" class="col-lg-8 col-md-8 col-sm-8 col-xs-12 innerpage-whitebox tab-w-6">
            <?php while ( have_posts() ) : the_post(); ?>
              <?php get_template_part( 'template-parts/content', 'page' ); ?>
                <?php
            // If comments are open or we have at least one comment, load up the comment template.
                if ( comments_open() || get_comments_number() ) :
                    comments_template();
                endif;
                ?>
            <?php endwhile; // End of the loop. ?>
        </div><!-- #main -->
        <div class="clearfix"></div>
        </div>

    <?php } else if (get_theme_mod('peccular__page_layout') == '0' ) {?>

        <div id="content-box" class="innerpage-whitebox main-timeline pd-0">
            <?php while ( have_posts() ) : the_post(); ?>
                <?php get_template_part( 'template-parts/content', 'page' ); ?>
                <?php
                // If comments are open or we have at least one comment, load up the comment template.
                if ( comments_open() || get_comments_number() ) :
                    comments_template();
                endif;
                ?>
            <?php endwhile; // End of the loop. ?>
            <div class="clearfix"></div>
        </div><!-- #main -->

         <?php } if (get_theme_mod('peccular__page_layout') == '2' ) { ?>
             <div class="row m-0">
                <div id="content-box" class="col-lg-8 col-md-8 col-sm-8 col-xs-12 innerpage-whitebox tab-w-6">
                <?php while ( have_posts() ) : the_post(); ?>
                    <?php get_template_part( 'template-parts/content', 'page' ); ?>
                    <?php
                        // If comments are open or we have at least one comment, load up the comment template.
                    if ( comments_open() || get_comments_number() ) :
                        comments_template();
                    endif;
                    ?>
                <?php endwhile; // End of the loop. ?>
            </div><!-- #main -->
            <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 tab-w-4">
                <?php  get_sidebar(); ?>
            </div>
            <div class="clearfix"></div>
            </div>

<?php } ?>
		
		<div class="clearfix"></div>
		
		<div class="pagingation">
    		<?php lzGetPagination($query);?>
		</div>
            <div class="clearfix"></div>
    </div>
	</div>
</main><!-- #main -->
<?php get_footer(); ?>
